CONFIG += release
TEMPLATE = app
VERSION = 0.0.41
DEFINES += APP_VERSION="$$VERSION"
INCLUDEPATH += /usr/include/phonon
INCLUDEPATH += /usr/include/taglib
DESTDIR = build/target/
OBJECTS_DIR = build/obj/
MOC_DIR = build/moc/
RCC_DIR = build/rcc/
TARGET = YaRock
LIBS += -ltag
QT += network phonon sql

include(src3party/qtsingleapplication/qtsingleapplication.pri)

DEPENDPATH += . \
              src \
              translation \
              src/CentralWidget \
              src/CollectionModel \
              src/CollectionView \
              src/Database \
              src/FileViewer \
              src/MediaItem \
              src/NowPlaying \
              src/Player \
              src/Playlist \
              src/RadioModel \
              src/RadioView \
              src/UserSettings \
              src/Web \
              src/Widget \
              src3party/qtsingleapplication
INCLUDEPATH += . \
               src \
               src3party/qtsingleapplication \
               src/Player \
               src/Playlist \
               src/MediaItem \
               src/Widget \
               src/NowPlaying \
               src/CollectionModel \
               src/CollectionView \
               src/Database \
               src/CentralWidget \
               src/FileViewer \
               src/RadioView \
               src/RadioModel \
               src/Web \
               src/UserSettings

# Input
HEADERS += src/constants.h \
           src/global.h \
           src/mainwindow.h \
           src/threadpool.h \
           src/CentralWidget/breadcrumb.h \
           src/CentralWidget/centraltoolbar.h \
           src/CentralWidget/centralwidget.h \
           src/CentralWidget/mainmode.h \
           src/CentralWidget/menuitem.h \
           src/CentralWidget/menumodel.h \
           src/CentralWidget/menuview.h \
           src/CollectionModel/collectionmodel.h \
           src/CollectionModel/collectionpopulator.h \
           src/CollectionModel/modelitem.h \
           src/CollectionModel/plsfilemodel.h \
           src/CollectionModel/plsfilepopulator.h \
           src/CollectionView/collectionscene.h \
           src/CollectionView/collectionwidget.h \
           src/CollectionView/graphicitem.h \
           src/CollectionView/userchangedialog.h \
           src/CollectionView/virtualplaylist.h \
           src/Database/databasebuilder.h \
           src/Database/databasemanager.h \
           src/Database/databaseplsbuilder.h \
           src/FileViewer/fileviewer.h \
           src/MediaItem/mediaitem.h \
           src/MediaItem/mediamimedata.h \
           src/MediaItem/mediaplaylist.h \
           src/NowPlaying/nowplayingview.h \
           src/Player/player.h \
           src/Playlist/playlistmodel.h \
           src/Playlist/playlistpopulator.h \
           src/Playlist/playlistview.h \
           src/Playlist/playlistwidget.h \
           src/Playlist/playlistwriter.h \
           src/RadioModel/icecastmanager.h \
           src/RadioModel/shoutcastmanager.h \
           src/RadioModel/streamitem.h \
           src/RadioModel/streammodel.h \
           src/RadioModel/xspfstreamfile.h \
           src/RadioView/radioscene.h \
           src/RadioView/radiowidget.h \
           src/UserSettings/settingsdialog.h \
           src/UserSettings/settingspages.h \
           src/Web/coversearch.h \
           src/Web/coverthread.h \
           src/Web/networkaccess.h \
           src/Widget/playertoolbar.h \
           src/Widget/searchfield.h \
           src/Widget/spacer.h \
           src/Widget/statusbar.h 

SRCMOC += build/moc/moc_playertoolbar.cpp

SOURCES += src/constants.cpp \
           src/main.cpp \
           src/mainwindow.cpp \
           src/threadpool.cpp \
           src/CentralWidget/breadcrumb.cpp \
           src/CentralWidget/centraltoolbar.cpp \
           src/CentralWidget/centralwidget.cpp \
           src/CentralWidget/menuitem.cpp \
           src/CentralWidget/menumodel.cpp \
           src/CentralWidget/menuview.cpp \
           src/CollectionModel/collectionmodel.cpp \
           src/CollectionModel/collectionpopulator.cpp \
           src/CollectionModel/modelitem.cpp \
           src/CollectionModel/plsfilemodel.cpp \
           src/CollectionModel/plsfilepopulator.cpp \
           src/CollectionView/collectionscene.cpp \
           src/CollectionView/collectionwidget.cpp \
           src/CollectionView/graphicitem.cpp \
           src/CollectionView/userchangedialog.cpp \
           src/CollectionView/virtualplaylist.cpp \
           src/Database/databasebuilder.cpp \
           src/Database/databasemanager.cpp \
           src/Database/databaseplsbuilder.cpp \
           src/FileViewer/fileviewer.cpp \
           src/MediaItem/mediaitem.cpp \
           src/MediaItem/mediamimedata.cpp \
           src/MediaItem/mediaplaylist.cpp \
           src/NowPlaying/nowplayingview.cpp \
           src/Player/player.cpp \
           src/Playlist/playlistmodel.cpp \
           src/Playlist/playlistpopulator.cpp \
           src/Playlist/playlistview.cpp \
           src/Playlist/playlistwidget.cpp \
           src/Playlist/playlistwriter.cpp \
           src/RadioModel/icecastmanager.cpp \
           src/RadioModel/shoutcastmanager.cpp \
           src/RadioModel/streamitem.cpp \
           src/RadioModel/streammodel.cpp \
           src/RadioModel/xspfstreamfile.cpp \
           src/RadioView/radioscene.cpp \
           src/RadioView/radiowidget.cpp \
           src/UserSettings/settingsdialog.cpp \
           src/UserSettings/settingspages.cpp \
           src/Web/coversearch.cpp \
           src/Web/coverthread.cpp \
           src/Web/networkaccess.cpp \
           src/Widget/playertoolbar.cpp \
           src/Widget/searchfield.cpp \
           src/Widget/spacer.cpp \
           src/Widget/statusbar.cpp 


RESOURCES += YaRock.qrc
RESOURCES += translation.qrc

# Translation ---------------------------------
TRANSLATIONS    += translation/yarock_fr.ts
TRANSLATIONS    += translation/yarock_cs.ts
TRANSLATIONS    += translation/yarock_es.ts

CODECFORTR = UTF-8
CODECFORSRC = UTF-8

# Deployment ----------------------------------
unix {
  isEmpty(PREFIX):PREFIX = /usr/local
  SHAREDIR   = $$PREFIX/share
  BINDIR     = $$PREFIX/bin
  LOCALEDIR =  $$SHAREDIR/locale/YaRock

  DEFINES += LOCALEDIR=\\\"$$LOCALEDIR\\\"
  
  INSTALLS += target
  target.path = $$BINDIR

  INSTALLS += desktop \
              translations \
              icon16  \
              icon32  \
              icon48  \
              icon64  \
              icon128 
  translations.path = $$LOCALEDIR
  translations.files += translation/yarock_fr.qm
  translations.files += translation/yarock_cs.qm
  translations.files += translation/yarock_es.qm
  desktop.path = $$SHAREDIR/applications
  desktop.files += data/yarock.desktop
  icon16.path = $$SHAREDIR/icons/hicolor/16x16/apps
  icon16.files += icon/16x16/yarock.png
  icon32.path = $$SHAREDIR/icons/hicolor/32x32/apps
  icon32.files += icon/32x32/yarock.png
  icon48.path = $$SHAREDIR/icons/hicolor/48x48/apps
  icon48.files += icon/48x48/yarock.png
  icon64.path = $$SHAREDIR/icons/hicolor/64x64/apps
  icon64.files += icon/64x64/yarock.png
  icon128.path = $$SHAREDIR/icons/hicolor/128x128/apps
  icon128.files += icon/128x128/yarock.png
}
