/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _BREADCRUMB_H
#define _BREADCRUMB_H

#include <QWidget>
#include <QModelIndex>
#include <QStandardItemModel>
#include <QStyledItemDelegate>

#include "menumodel.h"

class BreadCrumb : public QWidget 
{
Q_OBJECT

  public:
    BreadCrumb(QWidget *parent = 0);
    
    void restorePath(QString itemText);
    
    void setModel(MenuModel *m);
        
    QModelIndex rootIndex() const;
    QModelIndex currentIndex() const;
    
    QSize sizeHint() const;
    QSize iconSize() const;
    virtual QRect visualRect ( const QModelIndex & index ) const;
    
  public slots:
    void setRootIndex(const QModelIndex &);
    void setCurrentIndex(const QModelIndex &);
    void setIconSize(const QSize &s);
  
  protected:
    void paintEvent(QPaintEvent *event);
  
  private:
    QStyledItemDelegate        *_delegate;
    MenuModel                  *_model;
    QPersistentModelIndex      _rootIndex;
    QPersistentModelIndex      _currentIndex;
    QSize                      _iconSize;
    
    QList<QModelIndex> pathList() const;
};

#endif
