/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/ 
#ifndef _MENU_ITEM_H_
#define _MENU_ITEM_H_


#include <QStandardItem>

enum MenuItemType {
    MenuHomeType        = QStandardItem::UserType + 1, //! home
    MenuFirstLevelType  = QStandardItem::UserType + 2, //!collection/playlist/radio/filer 
    MenuContextType     = QStandardItem::UserType + 3,
    MenuCollectionType  = QStandardItem::UserType + 4,
    MenuPlaylistType    = QStandardItem::UserType + 5,
    MenuRadioType       = QStandardItem::UserType + 6,
    MenuCustomRadioType = QStandardItem::UserType + 7,
    MenuFilerType       = QStandardItem::UserType + 8
};

enum MenuItemRole {
    ActionRole          = Qt::UserRole + 1,
    FileRole            = Qt::UserRole + 2
};




//! ----- MenuItem -------------------------------------------------------------
class MenuItem: public QStandardItem
{
  public:
     MenuItem();
     MenuItem(const QString & text, const QIcon & icon);
     MenuItem(const QString & text, const QIcon & icon, int type);
     
     int type () {return _type;}
     void setType(int type) {_type = type;}
       
  private:
     int       _type; 
};

#endif
