/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _MENU_MODEL_H_
#define _MENU_MODEL_H_


#include <QStandardItemModel>
#include <QStandardItem>
#include <QModelIndex>
#include <QAction>

#include "menuitem.h"



class MenuModel;

namespace GLOBAL
{
    MenuModel* menuModel();
}

class MenuModel : public QStandardItemModel
{
static MenuModel* global_instance;

  public:
    MenuModel(QObject *parent = 0);
    ~MenuModel();
    static MenuModel* instance() { return global_instance; }
    
    void update();
    QModelIndex IndexFromItemText(QString text);
 
  private:
    void createActions();
    void populate();
    void populateRadioItem();
    MenuItem         *_radioItem;
};

Q_DECLARE_METATYPE(QAction*);
#endif // _MENU_MODEL_H_
