/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _COLLECTION_WIDGET_H
#define _COLLECTION_WIDGET_H

#include "CollectionView/collectionscene.h"
#include "CentralWidget/centraltoolbar.h"
#include "Widget/statusbar.h"

#include <QtGui>


class CollectionWidget : public QWidget
{
  Q_OBJECT
public: 
    CollectionWidget(QWidget *parent);
    void setScene(CollectionScene *scene);
    void saveLastCollectionView();
    void restoreLastCollectionView();
    void updateCollectionScene();
    void updatePlsFileScene();
    void restorePrevPlaylistView();
    void restorePrevCollectionView();
    
private :
    QGraphicsView       *_graphicView;
    CentralToolBar      *_centralToolBar;
    CollectionScene     *_collectionScene;
    StatusBar           *_statusBar;
    
    Collection::CollectionMode             _collectionMode;
    Collection::CollectionMode             _prevCollectionMode;
    Collection::CollectionMode             _prevPlaylistMode;
    QHash<Collection::CollectionMode, int> _scrollPosition;

private slots:
    void updateCollectionSearch(QString);
    void updatePlaylistSearch(QString);
    void updateCollectionSummary();
    void switchView(Collection::CollectionMode);
    void switchAlbumView();
    void switchArtistView();
    void switchTrackView();
    void switchGenreView();
    void switchFavoriteView();
    void switchPlaylistView();
    void switchPlaylistDetailView();
    void navigateGoUp();
    void navigateGoDown();    
};

#endif // _COLLECTION_WIDGET_H
