/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _USER_CHANGE_DIALOG_H_
#define _USER_CHANGE_DIALOG_H_

#include <QDialog>
#include <QtGui>



//! -------------- recupCoverArt -----------------------------------------------
//! copy old cover if exist into new cover art (according to new 
//! artist or album name)
void recupCoverArt(QString newCoverName, QString oldCoverName);


//! -------------- AlbumChangeDlg ----------------------------------------------
class AlbumChangeDialog : public QDialog {
    Q_OBJECT

  public:
    AlbumChangeDialog(int id);
    ~AlbumChangeDialog();

  private:
    bool             _albuminfochanged;
    int              _albumBDId;
    QString          _album;
    QString          _artist;
    QString          _year;

    
    QDialogButtonBox *buttonBox;
    QLineEdit *lineEdit, *lineEdit_2, *lineEdit_3;
    
    void CreateGui();

  private slots:
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();

  signals:
    void signal_AlbumInfoChanged();
};

//! -------------- GenreChangeDialog -------------------------------------------
class GenreChangeDialog : public QDialog {
    Q_OBJECT

  public:
    GenreChangeDialog(int id, QString genre);
    ~GenreChangeDialog();

  private:
    int              _albumBDId;
    QString          _genre;

    QDialogButtonBox *buttonBox;
    QLineEdit *lineEdit;
    
    void CreateGui();

  private slots:
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();

  signals:
    void signal_GenreInfoChanged();
};

//! -------------- ArtistChangeDialog ------------------------------------------
class ArtistChangeDialog : public QDialog {
    Q_OBJECT

  public:
    ArtistChangeDialog(int id);
    ~ArtistChangeDialog();

  private:
    bool             _artistinfochanged;
    int              _artistBDId;
    QString          _artist;
    
    QDialogButtonBox *buttonBox;
    QLineEdit        *lineEdit;
    
    void CreateGui();

  private slots:
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();

  signals:
    void signal_ArtistInfoChanged();
};

//! -------------- PlaylistChangeDialog ------------------------------------------
class PlaylistChangeDialog : public QDialog {
    Q_OBJECT

  public:
    PlaylistChangeDialog(int id);
    ~PlaylistChangeDialog();

  private:
    bool             _playlistinfochanged;
    int              _playlistBDId;
    QString          _playlist;
    
    QDialogButtonBox *buttonBox;
    QLineEdit        *lineEdit;
    
    void CreateGui();

  private slots:
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();

  signals:
    void signal_PlaylistInfoChanged();
};

#endif // _USER_CHANGE_DIALOG_H_
 
