/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _DATABASEMANAGER_H_
#define _DATABASEMANAGER_H_

#include <QObject>
#include <QSettings>
#include <QtSql/QSqlDatabase>

//! Current DB revision
// Automatic rebuild if Db revision don't match
#define _DBREVISION "8";

//! --------- DatabaseManager -------------------------------------------------- 
class DatabaseManager : public QObject
{
Q_OBJECT
  public:
    DatabaseManager(QString connectionName = "");
    ~DatabaseManager();
    bool connectToDB();
    QSqlDatabase* sqlDb() { return _sqlDb; }
        
  private:
    //! InitDb -> Checks tables structures and recreated tables if necessary
    void initDb();
 
    QString       _connectionName;
    QSqlDatabase  *_sqlDb;
};

#endif // _DATABASEMANAGER_H_
