/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _MEDIA_PLAYLIST_H_
#define _MEDIA_PLAYLIST_H_

#include <QtCore>
#include "mediaitem.h"
  
  
namespace MEDIA {

    QStringList readPlaylistFile(QString filename);
    QStringList readM3uPlaylist(QString filename);
    QStringList readPlsPlaylist(QString filename);
    QStringList readXspfPlaylist(QString filename);
    
    void savePlaylistFile(QString filename, QList<MediaItem*> _listMediaItem);
    void saveM3uPlaylist(QString filename, QList<MediaItem*> _listMediaItem);
    void savePlsPlaylist(QString filename,QList<MediaItem*> _listMediaItem);
    void saveXspfPlaylist(QString filename, QList<MediaItem*> _listMediaItem);
}



#endif // _MEDIA_PLAYLIST_H_
