/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _PLAYLISTPOPULATOR_H_
#define _PLAYLISTPOPULATOR_H_

#include <QRunnable>
#include <QStringList>
#include <QList>
#include <QUrl>

class PlaylistModel;

//! utilisé pour rechercher un stream suite au drag and drop depuis la StreamScene
class StreamModel; 
 

class PlaylistPopulator : public QRunnable
{
  public:
    explicit PlaylistPopulator();
    void run();
    bool isRunning() {return _isRunning;}
        
    void addFiles(const QStringList &files);
    void addFile(const QString &file);
    void addUrls(QList<QUrl> listUrl);
    
  private:
    PlaylistModel           *_playlistModel;
    StreamModel             *_streamModel;
    QStringList             _files;
    bool                    _isRunning;  
};

#endif // _PLAYLISTPOPULATOR_H_
