/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "playlistwriter.h"
#include "playlistmodel.h"
#include "MediaItem/mediaplaylist.h"

#include <QDir>
#include <QFileInfo>

const QStringList playlistFilter = QStringList() << "m3u" << "m3u8" << "pls" << "xspf";
    
//! ----------------------- PlaylistWriter -------------------------------------
PlaylistWriter::PlaylistWriter()
{
    _playlistModel = PlaylistModel::instance();
    _fileToSave    = QString();
    _isRunning     = false;
}

//! ----------------------- PlaylistWriter::run --------------------------------
void PlaylistWriter::run()
{
    _isRunning     = true;
    if (_fileToSave.isEmpty()) return;
    
    //! get file from playlist model 
    _listMediaItem.clear();
    for (int i = 0; i < _playlistModel->rowCount(QModelIndex()); i++) {
       _listMediaItem << _playlistModel->MediaItemAt(i);
    }
          
    //! check file to save format
    if((playlistFilter).contains(QFileInfo(_fileToSave).suffix().toLower())) {
       MEDIA::savePlaylistFile(_fileToSave, _listMediaItem);
    }

    _isRunning     = false;    
    emit playlistSaved(_fileToSave);
}


//! ----------------------- PlaylistWriter::saveToFile -------------------------
void PlaylistWriter::saveToFile(QString filename)
{
    _fileToSave = filename;
}
