/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _ICECAST_MANAGER_H_
#define _ICECAST_MANAGER_H_

#include <QtCore>
#include "RadioModel/streamitem.h"

class IceCastManager : public QObject
{
Q_OBJECT
  public:
    IceCastManager();
    QList<StreamItem*> getIceCastStream();
    bool isReady();
    bool isError();
    void startDownload();

  private:
    bool _isUpdating;
    bool _isError;
    int  _downloadTry;
        
  private slots:
    void sendRequest();
    void parseResponse(QByteArray bytes);
    QList<StreamItem*> readFile();
    void iceCastStop();
    
  signals:
    void iceCastUpdated();
};

#endif // _ICECAST_MANAGER_H_
