/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _STREAMITEM_H_
#define _STREAMITEM_H_

#include <QtCore>

//! ------ Structure for media item ------ 
struct StreamItem {
    StreamItem() : isPlaying(false) {}

    QUrl        url        ; //! Stream Url
    QString     name       ; //! Stream name 
    QString     genre      ; //! Stream genre
    QString     categorie  ; //! Stream categorie

    bool        isPlaying;   //! En cours de lecture 
};
  

namespace STREAM {

  bool compareStreamName(const StreamItem *st1, const StreamItem *st2);
  bool compareStreamGenre(const StreamItem *st1, const StreamItem *st2);
  bool compareStreamCategorie(const StreamItem *st1, const StreamItem *st2);
}


  
 Q_DECLARE_METATYPE(StreamItem);
#endif // _STREAMITEM_H_
