/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _RADIO_WIDGET_H
#define _RADIO_WIDGET_H

#include "RadioView/radioscene.h"
#include "CentralWidget/centraltoolbar.h"
#include "Widget/statusbar.h"

#include <QtGui>


class RadioWidget : public QWidget
{
  Q_OBJECT
public: 
    RadioWidget(QWidget *parent);
    void setScene(RadioScene *scene);
    void saveLastRadioView();
    void restoreLastRadioView();
    void restorePrevRadioView();
    
    QString             _radioFile;
    
private :
    QGraphicsView       *_graphicView;
    RadioScene          *_radioScene;
    CentralToolBar      *_centralToolBar;
    StatusBar           *_statusBar;
    
    Radio::RadioMode             _radioMode;
    Radio::RadioMode             _prevRadioView;
    QHash<Radio::RadioMode, int> _scrollPosition;

private slots:
    void updateRadioScene();
    void updateRadioSearch(QString);
    void updateRadioSummary();
    void switchView(Radio::RadioMode);
    void switchIceCastView();
    void switchShoutCastView();
    void switchCustomRadioView();
    void switchFavoriteRadioView();
    void navigateGoUp();
    void navigateGoDown();    
};

#endif // _RADIO_WIDGET_H
