/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _SETTINGS_DIALOG_H_
#define _SETTINGS_DIALOG_H_

#include "settingspages.h"
#include <QDialog>
#include <QDialogButtonBox>
#include <QListWidget>
#include <QStackedWidget>
#include <QListWidgetItem>

namespace SettingsPage {
  enum Page {
      StartPage         = 0,
      CollectionPage    = 1,
      RadioPage         = 2
  };
}



class MainWindow;

//! -----------SettingsDialog  -------------------------------------------------  
class SettingsDialog : public QDialog 
{
  Q_OBJECT
  Q_DISABLE_COPY(SettingsDialog)

  public:
    SettingsDialog(MainWindow *parent = 0);
    void setStartPage(SettingsPage::Page page);

  private:
    SettingGlobalPage         *_settingGlobalPage;
    SettingCollectionPage     *_settingCollectionPage;
    SettingRadioPage          *_settingRadioPage;
    MainWindow                *_parent;
    QDialogButtonBox          *buttonBox;
    QListWidget               *pageSelector;
    QStackedWidget            *_stackedPages;

  private slots:
    void createGui();
    void changePage(QListWidgetItem *itemClicked);  
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();

  signals:
    void signal_rebuildDatabase();
    void signal_rebuildRadio();
};

#endif // _SETTINGS_DIALOG_H_
