/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _SETTINGS_PAGES_H_
#define _SETTINGS_PAGES_H_

#include <QtGui>

//! ----------- Global Settings Page  ------------------------------------------  
class SettingGlobalPage : public QWidget
{
  public:
    SettingGlobalPage(QWidget *parent = 0);
    
    QCheckBox    *minimazeToSystray;
  private:
    void createGui();
};

//! ----------- Collection Settings Page  --------------------------------------  
class SettingCollectionPage : public QWidget
{
  Q_OBJECT
  public:
    SettingCollectionPage(QWidget *parent = 0);

    bool         _collectionsSourceChanged;  
    QListWidget  *collectionsPathsList;
    QCheckBox    *autoupdateCollectionsCheckbox;
    QCheckBox    *searchCoverFromDir;
  private:
    void createGui();
    QPushButton  *addPathButton_2;
    QPushButton  *removePathButton_2;
    QPushButton  *removeAllPathsButton_2;
    
  public slots:
    void on_addPathButton_clicked();
    void on_removePathButton_clicked();
    void on_removeAllPathsButton_clicked();
};

//! ----------- Radio Settings Page  --------------------------------------  
class SettingRadioPage : public QWidget
{
  Q_OBJECT
  public:
    SettingRadioPage(QWidget *parent = 0);

    bool         _radioSourceChanged;  
    QListWidget  *RadioFileList;
  private:
    void createGui();
    QPushButton  *addFileButton;
    QPushButton  *removeFileButton;
    QPushButton  *removeAllFileButton;
    
  public slots:
    void on_addFileButton_clicked();
    void on_removeFileButton_clicked();
    void on_removeAllFilesButton_clicked();
};
#endif // _SETTINGS_PAGES_H_
