/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _LASTFM_COVER_SEARCH_H_
#define _LASTFM_COVER_SEARCH_H_

#include <QtCore>
#include "Widget/statusbar.h"


class CoverSearch  : public QObject
{
  Q_OBJECT

public:
    CoverSearch(QString artist, QString album, QString coverName);

private slots:
    void sendAlbumSearch();
    void parseAlbumSearch(QByteArray bytes);
    void sendAlbumInfo();
    void parseAlbumInfo(QByteArray bytes);
    void saveCover(QByteArray bytes);
    void coverSearchStop();
    void coverSearchStop(QString message);

signals:
    void coverUpdated();
    void coverSearchDone(QString);
    
private:
    QString      _artist;
    QString      _album;
    QString      _coverName;
    QStatusBar  *_statusBar;
};

#endif // _LASTFM_COVER_SEARCH_H_
 
