/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _PLAYERTOOLBAR_H_
#define _PLAYERTOOLBAR_H_

#include <QToolBar>
#include <QLabel>
#include <QMenu>
#include <QVBoxLayout>
#include <QToolButton>

#include <phonon/seekslider.h>
#include <phonon/volumeslider.h>
#include "Player/player.h"


class VolumeToolButton : public QToolButton
{
    Q_OBJECT
public:
    VolumeToolButton( QWidget * , Player* player);
    
private :
    Player       *_player;
    QMenu        *_volumeMenu;
private slots:
    void volumeMenu();
signals:
    void signalVolumeMute();
};


class PlayerToolBar : public QToolBar
{
  Q_OBJECT
  public:
    PlayerToolBar(QWidget *parent, Player* player);
    void StopTrackTime();  

  private:
    Phonon::SeekSlider   *seekSlider;
    Player               *_player;
    VolumeToolButton     *_volumeButton;
    
    QMap<QString, QAction*> *actions;
    QLabel *currentTime;
    QLabel *totalTime;     

  private slots:
    void volumeMute();
    void changeTimePosition(qint64);
    void changeTotalTimePosition(qint64);
};

#endif // _PLAYERTOOLBAR_H_
