/* YaRock Player
* Copyright (C) 2010 Sebastien amardeilh (sebastien.amardeilh@gmail.com)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _STATUSBAR_H_
#define _STATUSBAR_H_

#include "Player/player.h"

#include <QtGui>

//! StatusBar is displays various informations about state of the application
//! - Collection infor
//! - Playlist infor
//! - Now playing info 
//! - Special Appli Process and status

class StatusBar;

namespace GLOBAL
{
    StatusBar* statusBar();
}


class StatusBar : public QStatusBar
{
Q_OBJECT
  static StatusBar* s_instance;

  public:
    //! Constructor
    StatusBar(QWidget *parent = 0);
    
    //! return global instance
    static StatusBar* instance() { return s_instance; }

  private:
    Player                   *_player;
        
    //! Action
    QLabel                   *_progressInfoLabel;
    QLabel                   *_progressInfoPixmap;
    QStringList              _listActions;

    //! label for collection, playlist, now playing
    QWidget                  *infoWidget;
    QLabel                   *_collectionInfoLabel;
    QLabel                   *_playlistInfoLabel;
    QLabel                   *_nowPlayingInfoLabel;
        
  public slots:
    //! Label
    void updateCollectionInfo(QString info);
    void updatePlaylistInfo(QString info);

    //! Progress Action 
    void startAction(QString action);
    //void cancelAction();
    void stopAction(QString action);
      
  private slots:
    void updateProgressAction();
    void updateNowPlayingInfo(QString info);
    void updateMetaData();
};

#endif // _STATUSBAR_H_
